package com.m2pool.chat.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ClassName WebsocketMessageDto
 * @Description 消息返回对象
 * @Author yyb
 * @Date 2025/4/10 16:27
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WebsocketMessageDto {

    /**
     * 消息id ： 目前没用，不做消息撤回功能了
     */
    private Long id;

    /**
     * 消息类型
     */
    private Integer type;

    /**
     * 消息内容
     */
    private String content;
    /**
     * 发送者类型 0 游客 1 登录用户 2 客服人员
     */
    private Integer sendUserType;


    /**
     * 发送者邮箱
     */
    private String sendEmail;

    /**
     * 发送时间
     */
    private Date sendTime;

    /**
     * 聊天室id
     */
    private Long roomId;

    /**
     * 是否创建新聊天室
     */
    private Boolean isCreate;

    /**
     * 未读消息数
     */
    private Integer clientReadNum;

//
//    /**
//     * 消息状态码
//     */
//    private Integer code;
}
