package com.m2pool.manage.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @Description 用户请求对象
 * @Date 2025/5/22 17:18
 * @Author yyb
 */
@Builder
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "用户请求对象")
public class ManageUserVo extends PageVo{
    @ApiModelProperty(value = "查询条件：币种，进入页面默认只显示出nexa，用户可选择",example = "nexa",required = true)
    private String coin;

    @ApiModelProperty(value = "模糊查询条件：用户名（邮箱）",example = "1328642438@qq.com",required = false)
    private String user;

    @ApiModelProperty(value = "模糊查询条件：用户对应的挖矿账号（一个用户可以对应多个）",example = "ceshi",required = false)
    private String minerUser;
}
